# Relationship Updated Receive a notification when an asset relationship in Tenovos is updated. Endpoint: POST relationship.updated Version: v1.0 Security: OAuth2 ## Request fields (application/json): - `eventType` (string) Combination of the Topic and the Event Example: "relationship.updated" - `event` (object) Object containing event information and the user who triggered the event. - `event.id` (string) Unique identifier of the webhook event itself Example: "some-event-type-d231cf1d-86b2-436e-95de-b745c39d2ed5" - `event.time` (string) Date/Time that the webhook event occurred. Example: "2024-05-09T17:55:28.462Z" - `event.user` (object) - `event.user.id` (string) The Tenovos User ID for the user who caused the event Example: "7d675ef0-f423-11e9-8071-89c0c405214e" - `event.user.firstName` (string) First Name of the User Example: "Erlich" - `event.user.lastName` (string) Last Name of the User Example: "Bachman" - `relationship` (object) - `relationship.linkType` (object) Object containing the current and previous values for the relationship type between assets where the relationship has been updated. - `relationship.linkType.current` (string) Current value for the relationship type, after the associated update occurred. Example: "placed-graphic" - `relationship.linkType.previous` (string) Defines the type of relationship between assets Example: "child" - `relationship.primaryId` (string) Unique identifier of the asset designated as the parent of this relationship Example: "b2c0442f-572c-4636-a62f-44f2e66c3d83" - `relationship.secondaryId` (string) Unique identifier of the asset assigned under the designated parent of this relationship Example: "ec29882d-634c-4494-802c-5b6be642ac01" ## Response 200 fields